Skip to main content
Resource Center/Network Resource/L3 Network Operations
GETL3 Network OperationsSince 3.7.0SynchronousAuth Required

GetL3NetworkIpStatistic

GetL3NetworkIpStatistic

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • l3NetworkUuidStringRequired

    The L3 network UUID.

Query Parameters

  • resourceTypeString

    Optional. The resource type.

  • ipString

    Optional. The specified IP address.

  • sortByString

    Optional. The sort method.

  • sortDirectionString

    Optional. The sort direction.

  • startInteger

    Optional. The location where the statistics starts.

Responses

200 OK

On success, this API returns the following response structure.

  • totalLongRequired

    The total statistics of the IP addresses.

  • successbooleanRequired

    Whether the API succeeds.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • ipStatisticsListRequired

    See ipStatistics.

    • ipStringRequired

      The IP address.

    • vipUuidStringRequired

      The VIP UUID.

    • vipNameStringRequired

      The VIP name.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • vmInstanceNameStringRequired

      The VM instance name.

    • vmInstanceTypeStringRequired

      The VM instance type.

    • vmDefaultIpStringRequired

      The default IP address of the VM instance.

    • resourceTypesListRequired

      The types of resources to which the IP address binds.

    • stateStringRequired

      The resource state.

    • useForStringRequired

      The network service to which the IP address binds.

    • createDateTimestampRequired

      The creation date.

    • ownerNameStringRequired

      The name of the resource owner.

  • errorErrorCodeRequired

    See error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/l3-networks/{l3NetworkUuid}/ip-statistic

/zstack/v1/l3-networks/{l3NetworkUuid}/ip-statistic

Operation ID

GetL3NetworkIpStatistic

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/l3-networks/{l3NetworkUuid}/ip-statistic?resourceType=<resourceType>&ip=<ip>&sortBy=<sortBy>&sortDirection=<sortDirection>&start=1&limit=1&replyWithCount=True&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "ipStatistics": [ { "ip": "192.168.0.1", "resourceTypes": [ "Other" ] } ], "total": 1.0 }

Change History

This API has no change history records yet.

View all change history